#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"

mysql -u root < $DIR/update.sql

# Init default backup directory
mkdir -p /var/lib/radmin/backups
chown -R root:apache /var/lib/radmin/backups
chmod 775 /var/lib/radmin/backups

mkdir -p /etc/radmin
cat > /etc/radmin/config.ini <<"EOF"
[main]
; Startport must be upper to 1024
startport = 40000
endport = 65000
backupsdir = "/var/lib/radmin/backups"
EOF

chown -R root:apache /etc/radmin 
chmod 664 /etc/radmin/config.ini

cat > /etc/php.d/radmin.ini <<-"EOF"
file_uploads = On
post_max_size = 1.1G
upload_max_filesize = 1G
EOF
systemctl restart httpd